guidesIntended DocumentationDeploy a PolicyReview, approve, deploy, and rollback policy changes safely.intermediate1 min readimplementedDeploy a Policy#Use this workflow to promote policy changes with explicit review and rollback safety.1. Create or update a draft#bashcurl -X POST https://api.intended.so/policy/drafts \ -H "Authorization: Bearer mrt_live_abc123" \ -H "Content-Type: application/json" \ -d '{ ... }' 2. Submit for review#bashcurl -X POST https://api.intended.so/policy/drafts/<draft-id>/review \ -H "Authorization: Bearer mrt_live_abc123" \ -H "Content-Type: application/json" \ -d '{"submittedBy":"user_123"}' 3. Approve and deploy#bashcurl -X POST https://api.intended.so/policy/drafts/<draft-id>/approve \ -H "Authorization: Bearer mrt_live_abc123" \ -H "Content-Type: application/json" \ -d '{"approvedBy":"user_approver"}' curl -X POST https://api.intended.so/policy/deploy/<draft-id> \ -H "Authorization: Bearer mrt_live_abc123" \ -H "Content-Type: application/json" \ -d '{"deployedBy":"user_approver"}' 4. Roll back if required#bashcurl -X POST https://api.intended.so/policy/rollback/<version-id> \ -H "Authorization: Bearer mrt_live_abc123" \ -H "Content-Type: application/json" \ -d '{"reason":"incident mitigation","rolledBackBy":"user_admin"}' Related runbooks#Author PolicySimulate ImpactDeploy and Rollback
Deploy a Policy#Use this workflow to promote policy changes with explicit review and rollback safety.1. Create or update a draft#bashcurl -X POST https://api.intended.so/policy/drafts \ -H "Authorization: Bearer mrt_live_abc123" \ -H "Content-Type: application/json" \ -d '{ ... }' 2. Submit for review#bashcurl -X POST https://api.intended.so/policy/drafts/<draft-id>/review \ -H "Authorization: Bearer mrt_live_abc123" \ -H "Content-Type: application/json" \ -d '{"submittedBy":"user_123"}' 3. Approve and deploy#bashcurl -X POST https://api.intended.so/policy/drafts/<draft-id>/approve \ -H "Authorization: Bearer mrt_live_abc123" \ -H "Content-Type: application/json" \ -d '{"approvedBy":"user_approver"}' curl -X POST https://api.intended.so/policy/deploy/<draft-id> \ -H "Authorization: Bearer mrt_live_abc123" \ -H "Content-Type: application/json" \ -d '{"deployedBy":"user_approver"}' 4. Roll back if required#bashcurl -X POST https://api.intended.so/policy/rollback/<version-id> \ -H "Authorization: Bearer mrt_live_abc123" \ -H "Content-Type: application/json" \ -d '{"reason":"incident mitigation","rolledBackBy":"user_admin"}' Related runbooks#Author PolicySimulate ImpactDeploy and Rollback